Skip to main content
GET
/
orders
Returns all active orders
curl --request GET \
  --url https://api-partner.houdiniswap.com/v2/orders \
  --header 'Authorization: <api-key>'
{
  "total": 123,
  "totalPages": 123,
  "orders": [
    {
      "_id": "<string>",
      "statusLabel": "INITIALIZING",
      "inStatusLabel": "NEW",
      "outStatusLabel": "NEW",
      "transactionHash": "<string>",
      "hashUrl": "<string>",
      "depositAddress": "<string>",
      "depositTag": "<string>",
      "id": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "houdiniId": "<string>",
      "receiverAddress": "<string>",
      "status": -2,
      "anonymous": true,
      "expires": "2023-11-07T05:31:56Z",
      "in": "ch",
      "inAmount": 123,
      "inSymbol": "<string>",
      "inStatus": 0,
      "inCreated": "2023-11-07T05:31:56Z",
      "inTransactionInHash": "<string>",
      "outAmount": 123,
      "outSymbol": "<string>",
      "outStatus": 0,
      "receiverTag": "<string>",
      "ffSetEmergency": true,
      "notified": true,
      "multiId": "<string>",
      "ip": "<string>",
      "widgetMode": true,
      "eta": 123,
      "inAmountUsd": 123,
      "isDex": true,
      "inToken": {
        "icon": "<string>",
        "id": "<string>",
        "address": "<string>",
        "chain": "<string>",
        "created": "2023-11-07T05:31:56Z",
        "chainData": {
          "icon": "<string>",
          "addressValidation": "<string>",
          "tokenAddressValidation": "<string>",
          "id": "<string>",
          "created": "2023-11-07T05:31:56Z",
          "name": "<string>",
          "shortName": "<string>",
          "memoNeeded": true,
          "explorerUrl": "<string>",
          "addressUrl": "<string>",
          "kind": "<string>",
          "chainId": 123,
          "enabled": true,
          "shortNameV1": "<string>",
          "modified": "2023-11-07T05:31:56Z",
          "hashUrl": "<string>",
          "priority": 123
        },
        "description": "<string>",
        "decimals": 0,
        "symbol": "",
        "name": "",
        "modified": "2023-11-07T05:31:56Z",
        "mainnet": true,
        "enabled": true,
        "unverified": true,
        "hasDex": true,
        "hasCex": true,
        "cexTokenId": "",
        "rank": 123,
        "cgId": "<string>",
        "marketCapChange24h": 123,
        "circulatingSupply": 123,
        "price": 123,
        "marketCap": 123,
        "volume": 123,
        "fdv": 123,
        "change": 123,
        "priority": 123,
        "warningMessage": "<string>",
        "minMax": {
          "anon": [
            123
          ],
          "cex": [
            123
          ],
          "dex": [
            123
          ]
        }
      },
      "outToken": {
        "icon": "<string>",
        "id": "<string>",
        "address": "<string>",
        "chain": "<string>",
        "created": "2023-11-07T05:31:56Z",
        "chainData": {
          "icon": "<string>",
          "addressValidation": "<string>",
          "tokenAddressValidation": "<string>",
          "id": "<string>",
          "created": "2023-11-07T05:31:56Z",
          "name": "<string>",
          "shortName": "<string>",
          "memoNeeded": true,
          "explorerUrl": "<string>",
          "addressUrl": "<string>",
          "kind": "<string>",
          "chainId": 123,
          "enabled": true,
          "shortNameV1": "<string>",
          "modified": "2023-11-07T05:31:56Z",
          "hashUrl": "<string>",
          "priority": 123
        },
        "description": "<string>",
        "decimals": 0,
        "symbol": "",
        "name": "",
        "modified": "2023-11-07T05:31:56Z",
        "mainnet": true,
        "enabled": true,
        "unverified": true,
        "hasDex": true,
        "hasCex": true,
        "cexTokenId": "",
        "rank": 123,
        "cgId": "<string>",
        "marketCapChange24h": 123,
        "circulatingSupply": 123,
        "price": 123,
        "marketCap": 123,
        "volume": 123,
        "fdv": 123,
        "change": 123,
        "priority": 123,
        "warningMessage": "<string>",
        "minMax": {
          "anon": [
            123
          ],
          "cex": [
            123
          ],
          "dex": [
            123
          ]
        }
      },
      "orderFinishedReceived": "2023-11-07T05:31:56Z",
      "actionRequired": true,
      "swapName": "<string>",
      "statusValidated": true,
      "modified": "2023-11-07T05:31:56Z",
      "metadata": "<unknown>",
      "nonRefundable": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Query Parameters

page
number<double>
default:1

Page number

Required range: 1 <= x <= 10000
pageSize
number<double>
default:100

Page size

Required range: 1 <= x <= 100
multiId
string

Get all orders from a multi swap

Maximum string length: 64
status
enum<number>[]

Order status

  • -2 Order is being initialized (label: INITIALIZING)
  • -1 Order initialized (label: NEW)
  • 0 Waiting for deposit confirmation (label: WAITING)
  • 1 Deposit is being confirmed (label: CONFIRMING)
  • 2 Exchange is in progress (label: EXCHANGING)
  • 3 Order is going through anonymization (label: ANONYMIZING)
  • 4 Order completed successfully (label: FINISHED)
  • 5 Order has expired (label: EXPIRED)
  • 6 Order failed (label: FAILED)
  • 7 Order was refunded (label: REFUNDED)
  • 8 Order was deleted (label: DELETED)
Available options:
-2,
-1,
0,
1,
2,
3,
4,
5,
6,
7,
8
from
string<date-time>

Created from date ISO 8601 format

to
string<date-time>

Created until date ISO 8601 format

sortBy
enum<string>

Sort by field

Available options:
created,
updated,
amount
sortOrder
enum<string>

Sort order direction

Available options:
asc,
desc

Response

Success

total
number<double>
required
totalPages
number<double>
required
orders
object[]
required